# About

This is a python code to connect RIGOL DS40024 Oscilliscope via Ethernet and do a FFT. The control is done by SCPI command.

The list of command can be found in https://beyondmeasure.rigoltech.com/acton/attachment/1579/f-06f3/1/-/-/-/-/MSO%26DS4000_programming.pdf

# Required Libraries

- pyvisa-py
- zeroconf

# find the device address

```python
import pyvisa as visa

# Initialize visa resource manager
rm = visa.ResourceManager('@py')

# print(rm.list_resources_info() )
print( rm.list_resources() )
```
